function [Wp]=fast_deriv(t,W,g)
    
[N,Nk,Nt]=size(W);

W=shiftdim(W,2); %% move t axis to first


for i=1:Nk
  for j=1:N
    f=W(:,j,i);
    W(:,j,i)=gradient(f,t).*g; %% scaled derivative;
  end
end


Wp=shiftdim(W,1); %% move back to original axis
