function [a]=my_load(fname,warning)
%
% function [a]=my_load(fname,warning)
% 
% try loading fname and fname.mat
% 
% if succesful return the result
%
% else give an error message

if (exist(fname,'file'))
elseif (exist([fname '.mat'],'file'))
  fname=[fname '.mat'];
else
  disp(['*trouble with file ' warning ]);
  disp(['*couldn''t find file ' fname ]);
  disp(['*or file ' fname '.mat']);
  error('error in loading file');
end;


try
  a=load(fname);
catch
  disp(['*trouble with file ' warning ]);
  disp(['*found file ' fname ]);
  disp('* but couldn''t load it');
end;


