function [b]=bessel_trans(index,k,f,delta);
% function [b]=bessel_trans(index,k,f,delta);
% compute the integrals \int dk J_{\index} (k\Delta) f(k)
%
%

b=zeros(size(delta));

for (i=1:length(delta))  %% do the integral over k
    b(i)=integrate(k,besselj(index,k*delta(i)).*f);
end;

b=b.';