function [m]=calc_mzero(w,p)
%
% return m(w) at the given w
%
% w is angular frequency in 1/s
%
% get the source correlation time in seconds
%
%
% keyboard
T=p.src_time;

if strcmp(p.lineshape,'lorentzian')
   m=(1+(w*T).^2).^(-1);
elseif strcmp(p.lineshape,'gaussian')
   m=exp(-((T*w).^2));
end

m=m/(2*pi)^3;

% addition factor by R Burston to account that we use displacement
%m = m .* (w*T).^10;
m = m .* w.^p.mzero_fact ./ w ./  w;

