function []=copy_file(out,filename)

% copies input 'filename' to the input directory 'out'

% check that output directory exists, and if not, create it

if (~exist(out,'dir'))
  disp(['INFO: directory ' out ' doesn''t exist in copy_file']);
  disp(['INFO: creating directory ' out ' now']);
  try
      system(['mkdir -p ' out]);
  catch ME
      disp(['ERROR: could not create directory' out]);
       rethrow(ME);
  end
end

% add a trailing '/' if one is no present
if (out(end)~='/')
  out=[out '/'];
end

I=find(filename=='/');
if (isempty(I))
  fn=filename;
else
  fn=filename(max(I)+1:end);
end

system(['/bin/cp ' filename ' ' out fn]);

