function []=copy_filter(p)
%
% copy all filter file stuff to the directory p.out_directory;
%


filter_file=p.filter_file;


%
% if no filter is need then dont need to copy the filter  file
%
if (~strcmp(get_file_name(p.filter_file),'no_filter'))
    
  out=[p.out_directory 'inputs'];
  %
  % copy the filter input file itself
  %
  copy_file(out,filter_file);
  


  fp=read_filter(p);
  %
  % copy the tom filter file, if it is used
  %
  if (fp.tom_filter)
    copy_file(out,fp.tom_filter_name);
  end
  
end

