function [mindist,ati,atj]=min_width(f,real_part)

if (real_part)
  f=real(f);
else
  f=imag(f);
end;


r=circshift(f,-1);
l=circshift(f,+1);

r=r(3:(end));
l=l(1:(end-2));
f=f(2:(end-1));


lmax=find(f>r & f>l &f>0);
lmin=find(f<r & f<l &f<0);


s=abs(f./std(f));
cut=1e-10;


%plot(s);hold on;plot(f./std(f),'r');

mindist=length(f);ati=1;atj=1;
for (i=1:length(lmax))
  for (j=1:length(lmin))
    d=abs(lmax(i)-lmin(j));
    if (d<mindist & s(i)>cut & s(j)> cut )
      mindist=d;
      ati=i;
      atj=j;
    end;
  end;
end;


