function [D]=my_gradient(W,t,c)
%
%
%
%
%
%take derivative along last index, last index of V,W is acoustic depth
% V,W, can be two or three dimensional
% second to last index is k

[N1,N2,N3]=size(W);
if(N3==1)
  W=reshape(W,1,N1,N2);
  new_N1=1;
  new_N2=N1;
  new_N3=N2;
  
  N1=new_N1;
  N2=new_N2;
  N3=new_N3;
end;


if (length(t)~=length(c) | length(c)~=N3)
  error('either t or c is the wrong length in my_gradient');
end;



D=zeros(size(W));
for (i=1:N1)
  for (j=1:N2)
    w=squeeze(W(i,j,:)).';
    d=-gradient(w,t)./c;
    D(i,j,:)=d;
  end;
end;
