function [g]=hilbert(f)
%
% function [g]=hilbert(f)
%
% compute hilbert transform of f
%

h=zeros(size(f));
h(1)=1;
n=length(f);
if (rem(n,2))
  error('in hilbert: f must be even length');
end;
h(n/2+1)=1;
h(2:(n/2))=2;
g=ifft(h.*fft(f));