function [fp]=read_filter(p)

f=fopen(p.filter_file);

if f==-1
  error(['ERROR: read_filter.m: can''t open file ' p.filter_file]);
end

% use filter
s=fget_nextl(f);
fp.use_filter=str2double(s);

% use tom filter
s=fget_nextl(f);
fp.tom_filter=str2double(s);

% tom filter name
s=fget_nextl(f);
fp.tom_filter_name=s;

% central phase velocity (Mm/s)
s=fget_nextl(f);
fp.vp=str2double(s);

% phase velocity width (Mm/s)
s=fget_nextl(f);
fp.vp_width=str2double(s);

% central frequency (mHz)
s=fget_nextl(f);
fp.w_zero=str2double(s);

% frequency width (mHz)
s=fget_nextl(f);
fp.dw=str2double(s);

% use fmode filter
s=fget_nextl(f);
fp.f_mode=str2double(s);

fclose(f);
