dw=2*pi/(360*60);

Nw=360;


w=dw*(  (-Nw/2):(Nw/2-1));
Ip=find(w>=0);
w=w(Ip);

for i=1:2
  a=load(['/data/seismo/birch/kernels_p' num2str(i) '/Weights']);

  a.W_diff=a.W_diff.'/1e30;
  a.xc=a.xc*1e30;
  
  
  xc=zeros(length(w),length(a.p.delta));
  W =zeros(length(w),length(a.p.delta));
 
  for j=1:length(a.p.delta)
    xc(:,j)=     interp1(a.p.w, a.xc(:,j), w);
    W(:,j)=     interp1(a.p.w, a.W_diff(:,j), w);
  end
  xc(isnan(xc))=0;
  W(isnan(W))=0;
  
  fitswrite(xc,['~/p_weights/xcorr_p' num2str(i) '.fits']);
  fitswrite(W ,['~/p_weights/Wdiff_p' num2str(i) '.fits']);
  

end
