function [t,xc_time,w,xc_interp]=xcorr_time(omega,xc,pad1,pad2)

% function [fg2]=xcorr_time(omega,xc,pad1,pad2);

%[N M]=size(xc);
N=size(xc,1);

xc_time=zeros(N,2*pad2*length(omega)+1);
xc_interp=zeros(N,2*pad2*length(omega)+1);

for i=1:N    
  f=xc(i,:);
  
  w=omega;
  
  %dw=w(2)-w(1);
  %L=length(w);
  
  wg=linspace(0,pad1*max(w),pad2*length(w)+1);
  
  I=find(wg>max(w) | wg<min(w));
  
  fg=interp1(w,f,wg);
  fg(I)=0*I;  
 
  wg2=[-fliplr(wg(2:end)) wg];
  
  fg2=[fliplr(conj(fg(2:end))) fg];
  
  [t,ft]=gizon_ifft(wg2,fg2);
  [w,ift]=gizon_fft(t,ft);
  xc_interp(i,:)=ift;
  xc_time(i,:)=ft;
end


